lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "acbaker/version"

Gem::Specification.new do |s|
  s.name        = "acbaker"
  s.version     = Acbaker::VERSION
  s.licenses    = ["BSD-3-Clause"]
  s.platform    = Gem::Platform::RUBY
  s.authors     = ["Tobias Strebitzer"]
  s.email       = ["tobias.strebitzer@magloft.com"]
  s.homepage    = "http://www.magloft.com"
  s.summary     = "Convert any source images into xcode asset catalogs."
  s.description = "This gem allows easy conversion and management of xcode asset catalogs."
  s.required_ruby_version = '>= 2.4'
  s.add_dependency "highline", '< 2.0.0', ">= 1.7.2"
  s.add_dependency "commander", ">= 4.4", "< 4.4.7"
  s.add_dependency "json", "~> 2.2"
  s.add_dependency "rmagick", "~> 3.1", ">= 3.1.0"
  s.add_development_dependency "minitest", "~> 5.11"
  s.add_development_dependency "pry", "~> 0.12"
  s.add_development_dependency "rake", "~> 12.0"
  s.add_development_dependency "rspec", "~> 3.8"
  s.add_development_dependency "rubocop", "~> 0.69"
  s.files        = `git ls-files`.split("\n")
  s.executables  = `git ls-files -- bin/*`.split("\n").map { |f| File.basename(f) }
  s.require_path = "lib"
end
